Package org.ggf.drmaa

# Class NoDefaultContactStringException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.ggf.drmaa.DrmaaException
org.ggf.drmaa.DrmsInitException
org.ggf.drmaa.InvalidContactStringException
org.ggf.drmaa.NoDefaultContactStringException

All Implemented Interfaces:
  `Serializable`

public class NoDefaultContactStringException extends InvalidContactStringException
No contact string was given to use to connect to the DRM system, and no default contact string is set.

Since:
  0.4.2
Version:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoDefaultContactStringException()`
Creates a new instance of `DefaultContactStringException` without detail message.
`NoDefaultContactStringException(String msg)`
Constructs an instance of `DefaultContactStringException` with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoDefaultContactStringException

public NoDefaultContactStringException()
Creates a new instance of `DefaultContactStringException` without detail message.

### NoDefaultContactStringException

public NoDefaultContactStringException(String msg)
Constructs an instance of `DefaultContactStringException` with the specified detail message.

Parameters:
  `msg` - the detail message.